# Get Status This endpoint takes an ID of an endpoint event and returns the status of the event. Endpoint: GET /api/v1/transactions/status/{statusId} Version: 1.0.0 Security: x-api-key ## Path parameters: - `statusId` (string, required) The status ID returned after making a request Example: "615bcdc00000000000000302" ## Response 200 fields (application/json): - `_id` (string) the Status ID Example: "5e94d5b63f557b001420bbe3" - `status` (string) The status of the data being saved to our DB Enum: "PENDING", "SUCCESS", "FAILED" - `errorList` (array) - `errorList.reconciliationId` (string) Id of reconciliation Example: "5e94d5b63f557b001420bbe3" - `errorList.message` (string) A message about the error Example: "Not a valid reconciliationId" ## Response 400 fields (application/json): - `message` (object) Reason(s) for the errors related to incorrect query keys or values that are out of bound - `message.errors` (array) - `message.errors.field` (string) The field that caused the error Example: "statusId" - `message.errors.message` (string) The error message Example: "statusId is not a valid MongoId" - `name` (string) BadRequest Example: "BadRequest" - `status` (integer) The HTTP status code. Example: 400 ## Response 401 fields (application/json): - `message` (string) Reason for the error such as incorrect service access, malformed, expired or deactivated token. Example: "Invalid token" - `name` (string) Unauthorized Example: "Unauthorized" - `status` (integer) The HTTP status code. Example: 401 ## Response 413 fields (application/json): - `message` (string) Reason for the error related to the payload size Example: "Response size is greater than 1MB" - `name` (string) PayloadTooLarge Example: "PayloadTooLarge" - `status` (integer) The HTTP status code. Example: 413